Bug 449938 - Firewall not disabled in system-config-firewall
Firewall not disabled in system-config-firewall
Product: Fedora
Classification: Fedora
Component: firestarter (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Damien Durand
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-06-04 07:55 EDT by Joshua Rosen
Modified: 2009-07-14 12:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 12:30:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joshua Rosen 2008-06-04 07:55:13 EDT
Description of problem: The DISABLE button in the firewall GUI doesn't disable
the firewall. I was able to disable the the firewall by disabling iptable with

Version-Release number of selected component (if applicable):

How reproducible:100%

Steps to Reproduce:
1.Invoke system-config-firewall
Actual results: The GUI claims that the firewall is disabled but it's not.

Expected results:

Additional info:
Comment 1 Joe Rozner 2008-06-15 23:04:23 EDT
I came across this problem last night and can confirm it, though there is no
real output given and not much other information to contribute.
Comment 2 Joe Rozner 2008-07-03 21:06:33 EDT
seems to be fixed after the last update.
Comment 3 Subhash 2008-08-18 02:32:27 EDT
This problem is also observed by me. 

Can you please let me know what is the exact fix for this, we need to know this for proper functioning of our product to be supported on fedora linux. 

I also see that firewall-behavior is many times unexpected. Even if you allow some of the specific ports as exceptions, it sometimes works and sometimes fails. The exact ratio of fail-success is not predictable.

If any patch/rpm is available to fix this problem, please let let me know.
Comment 4 Leam 2008-10-14 10:00:53 EDT
I found a similar circumstance but it was self-induced. A manual edit of /etc/sysconfig/system-config-firewall to make it "--disabled" didn't change anything because /etc/sysconfig/iptables file still existed with rules that blocked my service. 

Running system-config-firewall, ensuring the "Enabled" box is NOT checked, and clicking "Ok" so that it runs it's stuff and removes the /etc/sysconfig/iptables file worked for me.
Comment 5 Bug Zapper 2009-06-09 21:23:53 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2009-07-14 12:30:18 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.